Bug Hunting Session
Bug 51576 - LibreOffice help: Please improve description for "paragraph character" regular expression in "List of Regular Expressions"
Summary: LibreOffice help: Please improve description for "paragraph character" regula...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium enhancement
Assignee: Andras Timar
URL:
Whiteboard: target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-29 15:40 UTC by Gerry
Modified: 2013-04-11 07:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2012-06-29 15:40:21 UTC
Currently, LibreOffice Writer does not allow to search for the regular expression "paragraph break"/paragraph character in the Search&Replace dialog. It is only possible to search for line breaks (that was inserted with the Shift+Enter key combination), but not for a usual paragraph break. 

In MS Word the regular expression ^v allows find&replace of paragraph characters.

I suggest this as an EasyHack.

The extension AltSearch provides this enhancement: http://extensions.services.openoffice.org/en/project/AltSearch
Comment 1 Jean-Baptiste Faure 2012-07-01 08:52:36 UTC
Have you tried to do what altsearch extension does ? For me it works as expected if I search $ with "regulars expressions" checked.

Tested with LO 3.5.5 RC2, LO 3.5.6.0+ and LO 3.6.0.0 beta2+ under Ubuntu 11.10 x86-64.

Best regards. JBF
Comment 2 Gerry 2012-07-01 15:44:19 UTC
@Jean-Baptiste: Thank you very much for your comment. In fact, "$" works. I searched intensively the internet and everywhere it was mentioned that OpenOffice/LibreOffice is not able to search for the paragraph character. Also, the LibreOffice help page http://help.libreoffice.org/Common/List_of_Regular_Expressions does not help in this regard. I changed the title and the component of this bug to address this short-coming in documentation.

Hence, I suggest to change the wording in LibreOffice help to following:

$ 
finds the paragraph character at the end of the paragraph.
"$" can be also used in combination with a search term if the term appears at the end of a paragraph. Example: "Peter$" will find the term "Peter" if the paragraph break is directly after the term.
Please note: Special objects such as empty fields or character-anchored frames at the end of a paragraph are ignored.
Comment 3 Gerry 2012-07-11 07:57:27 UTC
I added David and Kendy to this bug, because both seem to have write access to LibreOffice Help and could be fixing this little issue. Please see my suggestion for wording in comment 2. Thanks.
Comment 4 Not Assigned 2012-11-24 18:54:15 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=df35c1baaacbf33b104745d04a0b58427d690b0b

fdo#51576 mention that $ matches paragraph break



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Gerry 2013-04-11 07:58:27 UTC
Now it also appeared in the libreoffice online help:
https://help.libreoffice.org/Common/List_of_Regular_Expressions